package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrRule;
    import com.docus.server.dto.segmentation.ocrrule.AddOcrRuleDTO;
    import com.docus.server.dto.segmentation.ocrrule.EditOcrRuleDTO;
    import com.docus.server.dto.segmentation.ocrrule.DeleteOcrRuleDTO;
import com.docus.server.vo.segmentation.ocrrule.OcrRuleVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* 匹配策略表 服务转换器
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Mapper
public interface OcrRuleConvert {

    OcrRuleConvert INSTANCE = Mappers.getMapper(OcrRuleConvert.class);

    @Mappings({})
    OcrRule convertDO(AddOcrRuleDTO addOcrRuleDTO);

    @Mappings({})
    OcrRule convertDO(EditOcrRuleDTO editOcrRuleDTO);

    @Mappings({})
    List<OcrRule> convertAddDOList(List<AddOcrRuleDTO> addOcrRuleDTO);

    @Mappings({})
    List<OcrRule> convertEditDOList(List<EditOcrRuleDTO> editOcrRuleDTO);

    @Mappings({})
    OcrRuleVO convertVO(OcrRule ocrRule);

    @Mappings({})
    List<OcrRuleVO> convertVO(List<OcrRule> ocrRuleList);

    @Mappings({})
    PageResult<OcrRuleVO> convertVO(PageResult<OcrRule> pageResult);
}

